/*Checks if list entry is empty*/
function isEmpty(element) {
  return $.trim(element) != "" && $.trim(element) != "&lt;";
}

/*Remove Lt*/
function removeTail(str, tail) {
  return str.substring(0, str.length - tail);
}

/* MAKE LIST FOR STELLENANGEBOTE */

function jobList(listId) {
  var jobStr = $("#" + listId).html();

  // Zeilen Umbrüche aufteilen
  jobStr = "<br>" + jobStr;
  var parts = jobStr.split("<br>");
  parts.shift();

  if(parts.length < 1 || original.startsWith("<li>") || !original.trim()) {
    // keine Änderung des HTML vornehmen!
  } else {
    // Jobs in <li> packen
    var html = "<li>" + parts.join("</li><li>") + "</li>";
    $("#" + listId).html($(html));
  }

  // leere li's löschen
  $("#" + listId + " li").each(function () {
    if ($(this).html().trim() == "") {
      $(this).remove();
    }
  });
}

function jobListCustom(listId) {
  var jobStr = $("#" + listId).html();
  var original = jobStr;

  // Zeilen Umbrüche aufteilen
  var parts  = jobStr.split("&lt;br&gt;");
  jobStr = parts.join("<br>");

  jobStr = "<br>" + jobStr;
  var parts = jobStr.split("<br>");

  parts.shift();

  if(parts.length < 1 || original.startsWith("<li>") || !original.trim()) {
    // keine Änderung des HTML vornehmen!
  } else {
    // Jobs in <li> packen
    var html = "<li>" + parts.join("</li><li>") + "</li>";
    $("#" + listId).html($(html));
  }

  // leere li's löschen
  $("#" + listId + " li").each(function () {
    if ($(this).html().trim() == "") {
      $(this).remove();
    }
  });
}

/* Create list elements from selection */
function parseList(listId) {
  /* Get content of ul element*/
  var listId = listId.replace(" ", "-");
  var listToParse = $("#" + listId).html();
  /* Replace Content */
  $("#" + listId).html("");

  /* Create new list from Elements, split after linebreak &lt;br&gt;*/
  // var newList = listToParse.split('br&gt;');
  if (listToParse.split("br&gt;").length > 1) {
    var newList = listToParse.split("br&gt;");
  } else {
    var newList = listToParse.split("<br>");
  }

  for (var i = 0; i < newList.length; i++) {
    if (isEmpty(newList[i])) {
      // console.log(newList[i].slice(-4));
      // console.log(newList[i]);
      if (newList[i].slice(-4) == "&lt;") {
        var text = removeTail(newList[i], 4);
      } else {
        var text = newList[i];
      }

      /* Add to List */
      var node = document.createElement("LI");

      if (newList[i][0] == "*") {
        node.classList.add("no-point");
      }
      text = text.split("*").join("");
      text = text.split("&amp;amp;").join("&");

      // var textnode = document.createTextNode(' ' + text);
      // node.appendChild(textnode);
      $(node).html(text);
      // console.log(node);
      document.getElementById(listId).appendChild(node);
    }
  }
}

/* Seperates the list */
// function parseList(listContent) {
//     var linebreakSplit = listContent.split('<br>');
//     for (var i = 0; i < linebreakSplit.length; i++) {
//         if (!isEmpty(linebreakSplit[i])) {
//             linebreakSplit.splice(i);
//         }
//     }
//     return linebreakSplit;
// }
//
//
// function createList(listContent, listId) {
//     var listParsed = parseList(listContent);
//     var listOutPut = document.getElementById(listId);
//
//     for (var j = 0; j < listParsed.length; j++) {
//         if (isLink(listParsed[j])) {
//             var listLink = createListLink(listParsed[j]);
//             var listItem = createListItem();
//             listItem.appendChild(listLink);
//             listOutPut.appendChild(listItem);
//
//         } else {
//             var listItem = createListItem(listParsed[j]);
//             listOutPut.appendChild(listItem);
//         }
//     }
// }

/*Sumit form styling*/
function createSubmit() {
  var button = $("submit-form").textContent;

  var button = button.split(" ");

  // console.log(button);
}

$(document).ready(function () {
  var counter = 0;
  $(".set_id").each(function () {
    var id = "list_" + counter;
    $(this).attr("id", id);
    parseList(id);
    counter++;
  });

  var counter = 0;
  $(".set_job_id").each(function () {
    var id = "job_list_" + counter;
    $(this).attr("id", id);
    parseList(id);
    counter++;
  });

  $('.orange-list').each(function(){
    var id =  $(this).attr('id');
    jobListCustom(id);
    counter++;
  })

  $(".download_link").each(function () {
    if ($(this).attr("href") == "") {
      $(this).attr("href", $(this).attr("data-link"));
    }
  });

  // form button: fix spinner
  if ($(".submit-button.button").length) {
    let spinner = $(".submit-button.button").find(".wpcf7-spinner");
    $(".submit-button,button").after(spinner);
  }

  // add exceptions to hyphenate
  setTimeout(function () {
    $(".hyphenate").each(function () {
      var text = $(this).html();
      var words = text.split(" ");
      for (var i = 0; i < words.length; i++) {
        if (words[i] == "Gro­ß­un­ter­neh­men") {
          words[i] = "Groß&shy;unter&shy;nehmen";
        } else if (words[i] == "Pro­jektcontroller,") {
          words[i] = "Projektcontroller,";
        }
      }
      text = words.join(" ");
      $(this).html(text);
    });
  }, 1000);

  // Animate Intro Section Landingpage
  $(".slogan-box").addClass("drawn");

  // SCROLL TOP BUTTON FOOTER
  $(".footer-top-right").click(function () {
    $("html,body").animate(
      {
        scrollTop: 0,
      },
      1000,
      "swing"
    );
  });

  setInterval(function () {
    if ($(window).width() > 1200) {
      $(".tile").each(function () {
        $(this).height($(this).width());
      });
    } else {
      $(".tile").each(function () {
        $(this).height("");
      });
    }
  }, 500);

  // Add smooth scrolling to all #links
  $("a").on("click", function (event) {
    if ($("body").hasClass("home")) {
      // Make sure this.hash has a value before overriding default behavior
      if (this.hash !== "") {
        // Prevent default anchor click behavior
        event.preventDefault();

        // Store hash
        var hash = this.hash;

        $("#hamburger").removeClass("open");
        $(".mobilenav").slideUp();
        $("body").removeClass("no-scroll");

        // Using jQuery's animate() method to add smooth page scroll
        // The optional number (800) specifies the number of milliseconds it takes to scroll to the specified area
        $("html, body").animate(
          {
            scrollTop: $(hash).offset().top,
          },
          1000,
          function () {}
        );
      } // End if
    } // End if
  });

  // ACCORDION
  $(".accordion-entry.open .accordion-content").show();
  $(".accordion-entry .accordion-toggler").click(function () {
    var accordionEntry = $(this).parent(".accordion-entry");

    if (accordionEntry.hasClass("closeothers")) {
      accordionEntry
        .siblings(".accordion-entry.open")
        .removeClass("open")
        .children(".accordion-content")
        .slideUp();
    }

    accordionEntry.toggleClass("open");
    accordionEntry.children(".accordion-content").slideToggle();
  });

  $(function () {
	  
	  
	  $("ul").each(function(index){
    if(!$(this).find("li").length){
        $(this).hide();
    }
});
    $('a[href*="#"]:not([href="#"])').click(function () {
      $(".open-section").removeClass("open-section");
      // alert('foo');
      if (
        location.pathname.replace(/^\//, "") ==
          this.pathname.replace(/^\//, "") &&
        location.hostname == this.hostname
      ) {
        var target = $(this.hash);
        target = target.length
          ? target
          : $("[name=" + this.hash.slice(1) + "]");
        if (target.length) {
          target.addClass("open-section");

          $("#hamburger").removeClass("open");
          $(".mobilenav").slideUp();
          $("body").removeClass("no-scroll");

          header = $("header").height();

          $("html, body").animate(
            {
              scrollTop: target.offset().top - header,
            },
            1000
          );
          return false;
        }
      }
    });
  });

  // GESTAFFELTES EINSLIDEN
  if ($(".fly-in").length != 0) {
    var elements = $(".fly-in");
    var count = 0;
    elements.each(function () {
      setTimeout(
        function (element) {
          element.addClass("fly-done");
        },
        count * 150,
        $(this)
      );
      count++;
    });
  }
});



$(function() {

  if($(".has_video video").length > 0) {
    $(".has_video").each(function() {
      
      var show_headline = $(this).data('show_headline');
      var hide_headline = $(this).data('hide_headline');
      if(show_headline && hide_headline) {
        $(this).find(".page-headline-bg").css('opacity', '0');
        $(this).find(".page-headline-bg").css('transition', 'all .3s ease');

        var video = $(this).find('video');

        setInterval(function() {
          var current_time = video[0].currentTime;
          if(current_time > show_headline && current_time < hide_headline) {
            $(video[0]).closest(".has_video").find(".page-headline-bg").css('opacity', '1');
          } else {
            $(video[0]).closest(".has_video").find(".page-headline-bg").css('opacity', '0');
          }
        }, 500, video, show_headline, hide_headline);
      }

      // Ton an/ausschalten bei Videos im Header
      $(this).find(".play_sound").click(function() {
          var video = $(this).closest(".has_video").find("video");
          if ($(video).prop("muted")) {
              $(video).prop("muted", !1);
              $(this).addClass("not_muted")
          } else {
              $(video).prop("muted", !0);
              $(this).removeClass("not_muted")
          }
          return !1
      });

    });

  }
})

